Subject: Re: [PATCH] Explain what 'ginstall' is

From: Jan Hudec <[email-masked]>
Date: Sun, 23 Dec 2007 10:01:45 +0100

On Mon, Dec 17, 2007 at 17:21:08 -0800, Jakub Narebski wrote:
> [...]
> Second, the default autoconf macro AC_PROG_INSTALL *requires* that
> there is BSD-compatible `install' program (as 'install-sh' or
> 'install.sh') in the sources.  Adding such script is (I think) not a
> problem; finding minimal portable[*1*] script is.  So if you know
> one...

What's wrong with the one that comes with automake? It should be portable
the insane way ./configure script is -- which should be at least as much as
git -- and the license is compatible (MIT/X).

> Footnotes:
> ----------
> [*1*] By "portable" I mean here 'git portable', i.e. requiring only
> those shell constructs/features that git require, not necessary
> insanelt portable the way ./configure script is.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>